﻿using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;

namespace BusyIndicatorDelay
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void OnButtonClick(object sender, RoutedEventArgs e)
        {
            var button = e.Source as Button;
            if (button != null && button.Name.Equals("BtnStart"))
            {
                Debug.WriteLine("Display After " + BusyIndicator.DisplayAfter);
                BusyIndicator.IsBusy = true;

            }
            else
            {
                BusyIndicator.IsBusy = false;
            }
        }
    }
}
